package com.ruoyi.web.modules.store.domain;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 店铺 biz_shop
 */
public class BizShop extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long shopId;

    private Long merchantId;

    private String shopName;

    private String shopAvatar;

    private String shopStatus;

    private String shopDesc;

    private String shopPhone;

    private String delFlag;

    /** 列表检索：关键词 */
    private String keyword;

    /** 列表检索：商户名称 */
    private String merchantName;

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getMerchantId()
    {
        return merchantId;
    }

    public void setMerchantId(Long merchantId)
    {
        this.merchantId = merchantId;
    }

    public String getShopName()
    {
        return shopName;
    }

    public void setShopName(String shopName)
    {
        this.shopName = shopName;
    }

    public String getShopAvatar()
    {
        return shopAvatar;
    }

    public void setShopAvatar(String shopAvatar)
    {
        this.shopAvatar = shopAvatar;
    }

    public String getShopStatus()
    {
        return shopStatus;
    }

    public void setShopStatus(String shopStatus)
    {
        this.shopStatus = shopStatus;
    }

    public String getShopDesc()
    {
        return shopDesc;
    }

    public void setShopDesc(String shopDesc)
    {
        this.shopDesc = shopDesc;
    }

    public String getShopPhone()
    {
        return shopPhone;
    }

    public void setShopPhone(String shopPhone)
    {
        this.shopPhone = shopPhone;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getKeyword()
    {
        return keyword;
    }

    public void setKeyword(String keyword)
    {
        this.keyword = keyword;
    }

    public String getMerchantName()
    {
        return merchantName;
    }

    public void setMerchantName(String merchantName)
    {
        this.merchantName = merchantName;
    }
}
